// p_4.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
using namespace std;
void ata(int **q)
{
	scanf_s("%x",q);
}
int _tmain(int argc, _TCHAR* argv[])
{
	int a=5;
	int *x=NULL;
	cout<<&a<<endl;
	cout<<&x<<endl;
	cout<<x<<endl;
	ata(&x);
	cout<<*x<<endl;
	system("pause");
	return 0;
}

